Redmine - Defect #6621

Multibyte symbols are wrongly displayed in issues CSV export (ISO-8859)
2010-10-11 00:04 - Inaki Baz Castillo

Status: Closed Start date: 2010-10-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 1.0.2

Description

Some issues in a Redmine 1.0.2 project contains multibyte symbols in their description or assigned person's display name (as
"Ifaki"). When exporting these issues to CSV | get a ISO-8859 text file in which these symbols are wrongly displayed:

#;Estado;Proyecto; Tipo;Prioridad; Tema; Asignado a;Categorea;Versien prevista;Autor;Fecha de inicio;
Fecha fin;% Realizado;Tiempo estimado; Tarea padre;Creado;Actualizado;Descripcien
2;Nueva;New-Project;Errores;Normal; Testing task;Ieaki Baz Castillo;"";1.0;Ieaki Baz Castillo;2010-
10-10;2010-10-15;0;10,0;"";Domingo, 10 de Octubre de 2010 17:44:31 +0200;Domingo, 10 de Octubre de
2010 18:07:17 +0200;asasdasd

Related issues:

Related to Redmine - Defect #7096: CSV Issues Export + Ruby 1.9 + Thin + non-... Closed 2010-12-11
Is duplicate of Redmine - Defect #8549: Export CSV has character encoding error Closed 2011-06-07
History

#1 - 2011-05-13 09:57 - Francisco José Martinez
Ifaki Baz Castillo wrote:
Some issues in a Redmine 1.0.2 project contains multibyte symbols in their description or assigned person's display name (as "lIfiaki"). When

exporting these issues to CSV | get a ISO-8859 text file in which these symbols are wrongly displayed:
[-]

It's seems like you are using a wrong char set. Try modify your config/locales language file and search: general_csv_encoding: ISO-8859-1 and
replece it for ISO-8859-15

You use redmine in english but use spanish chars isn't it?

#2 - 2011-05-13 10:47 - Ifiaki Baz Castillo

- Status changed from New to Resolved

Thanks, it solves the issue.

#3 - 2011-06-07 10:46 - Toshi MARUYAMA
- Status changed from Resolved to Closed

- Resolution set to Duplicate

Duplicate with #8549.

2025-08-23 1/1



https://www.redmine.org/issues/8549
http://www.tcpdf.org

